#!/bin/sh

sync

# Script ruft telnetd auf um tail auf Logausgabe zu machen

# 1. Ausgabe Speicherplatz-Verbrauch

echo "Auslastung SD / USB:"
df -h | grep UsbDisk1 | awk '{print "SD Used: " $3"B/"$2"B","("$5")", "Free: " $4"B"}'
df -h | grep UsbDisk2 | awk '{print "USB Used: " $3"B/"$2"B","("$5")", "Free: " $4"B"}'

# leere Zeile
echo " "


# Anzahl der Datein auf SD karte und USB Stick
DEST=$(cat /data/UsbDisk2/Volume1/tmp/dest.txt)
SDFILES=$(find /data/UsbDisk1/Volume1/DCIM/ -type f | wc -l)
USBFILES=$(find $DEST -type f | wc -l)
echo "Kopiervorgang: $USBFILES / $SDFILES Dateien"

# leere Zeile
echo " "

# 2. tail auf die Logdatei
LOGFILE=$(cat /data/UsbDisk2/Volume1/tmp/logfilepath.txt)
tail $LOGFILE

exit
